package com.ecep.contract.ds.customer.model;

import com.ecep.contract.CustomerFileType;
import com.ecep.contract.model.BaseEnumEntity;
import com.ecep.contract.model.Voable;
import com.ecep.contract.vo.CompanyCustomerFileTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@Entity
@Table(name = "COMPANY_CUSTOMER_FILE_TYPE_LOCAL")
@ToString(callSuper = true)
public class CompanyCustomerFileTypeLocal extends BaseEnumEntity<CustomerFileType> implements Voable<CompanyCustomerFileTypeLocalVo> {


    @Override
    public CompanyCustomerFileTypeLocalVo toVo() {
        CompanyCustomerFileTypeLocalVo vo = new CompanyCustomerFileTypeLocalVo();
        vo.setId(getId());
        vo.setType(getType());
        vo.setLang(getLang());
        vo.setValue(getValue());
        return vo;
    }
}
